#define __LINUX__
#ifdef __LINUX__
typedef void *HWND;
#define CALLBACK
#endif

#define VERBOSE 1

char* IsoFile;
#define DEV_DEF		""
char CdDev[256];
#define CDDEV_DEF	"/dev/cdrom"
extern FILE *cdHandle;

#define CD_FRAMESIZE_RAW	2352
#define DATA_SIZE	(CD_FRAMESIZE_RAW-12)

#define itob(i)		((i)/10*16 + (i)%10)	/* u_char to BCD */
#define btoi(b)		((b)/16*10 + (b)%16)	/* BCD to u_char */

#define MSF2SECT(m,s,f)	(((m)*60+(s)-2)*75+(f))

unsigned char cdbuffer[CD_FRAMESIZE_RAW * 10];
unsigned char *pbuffer;

int Zmode; // 1 Z - 2 bz2
int fmode;						// 0 - file / 1 - Zfile
unsigned char *Ztable;

extern char *methods[];

void UpdateZmode();
void CfgOpenFile();
void SysMessage(char *fmt, ...);

long CALLBACK CDR_init(void);
long CALLBACK CDR_shutdown(void);
long CALLBACK CDR_open(void);
long CALLBACK CDR_close(void);
long CALLBACK CDR_getTN(unsigned char *);
long CALLBACK CDR_getTD(unsigned char , unsigned char *);
long CALLBACK CDR_readTrack(unsigned char *);
unsigned char * CALLBACK CDR_getBuffer(void);
long CALLBACK CDR_configure(void);
long CALLBACK CDR_test(void);
void CALLBACK CDR_about(void);
long CALLBACK CDR_play(unsigned char *);
long CALLBACK CDR_stop(void);
struct CdrStat {
	unsigned long Type;
	unsigned long Status;
	unsigned char Time[3];
};
long CALLBACK CDR_getStatus(struct CdrStat *);
struct SubQ {
	char res0[11];
	unsigned char ControlAndADR;
	unsigned char TrackNumber;
	unsigned char IndexNumber;
	unsigned char TrackRelativeAddress[3];
	unsigned char Filler;
	unsigned char AbsoluteAddress[3];
	char res1[72];
};
unsigned char* CALLBACK CDR_getBufferSub(void);
